Bug 151774 - [new port] sysutils/pprotectd
Summary: [new port] sysutils/pprotectd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-27 11:20 UTC by Andrey Zonov
Modified: 2011-08-08 21:10 UTC (History)
0 users

See Also:


Attachments
file.shar (2.81 KB, text/plain)
2010-10-27 11:20 UTC, Andrey Zonov
no flags Details
pprotectd.shar.txt (2.81 KB, text/plain; charset=US-ASCII)
2010-10-27 11:29 UTC, Andrey Zonov
no flags Details
pprotectd.shar (2.81 KB, text/plain)
2010-12-08 19:24 UTC, Andrey Zonov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Zonov 2010-10-27 11:20:04 UTC
Self protected daemon which protect processes from killing by the
kernel when memory is exhausted.

A P_PROTECTED flag protects processes from killing by the kernel
when memory is exhausted. This may be useful for protection many
critical daemons, such as cron, syslogd, inetd, sshd.

Fix: Patch attached with submission follows:
Comment 1 Andrey Zonov 2010-10-27 11:29:15 UTC
I've just fixed checksums in distinfo.

-- 
Andrey Zonov
Comment 2 Andrey Zonov 2010-12-08 19:24:10 UTC
I've replaced %%RC_SUBR%% with /etc/rc.subr after reading that 
http://www.freebsd.org/cgi/query-pr.cgi?pr=145092

-- 
Andrey Zonov
Comment 3 Andrey Zonov 2011-02-23 11:57:26 UTC
What's the problem with this port? Why it didn't add to ports tree?

-- 
Andrey Zonov
Comment 4 Baptiste Daroussin freebsd_committer 2011-03-17 22:20:10 UTC
State Changed
From-To: open->feedback

The website and the distfiles aren't fetchable, can you fix that ?
Comment 5 Mark Linimon 2011-03-20 12:17:16 UTC
----- Forwarded message from Andrey Zonov <andrey.zonov@gmail.com> -----

Date: Sun, 20 Mar 2011 14:10:14 +0300
From: Andrey Zonov <andrey.zonov@gmail.com>
To: bapt@FreeBSD.org
Cc: andrey.zonov@gmail.com, freebsd-ports-bugs@FreeBSD.org
Subject: Re: ports/151774: [new port] sysutils/pprotectd

Hi,

New shar of port is attached.

-- 
Andrey Zonov


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	pprotectd
#	pprotectd/Makefile
#	pprotectd/distinfo
#	pprotectd/pkg-descr
#	pprotectd/files
#	pprotectd/files/pprotectd.sh.in
#
echo c - pprotectd
mkdir -p pprotectd > /dev/null 2>&1
echo x - pprotectd/Makefile
sed 's/^X//' >pprotectd/Makefile << 'd0a615773ca564f426b9934b3114dd89'
X# New ports collection makefile for:	pprotectd
X# Date created:				15 July 2010
X# Whom:					Andrey Zonov <andrey@zonov.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	pprotectd
XPORTVERSION=	0.1
XCATEGORIES=	sysutils
XMASTER_SITES=	http://www.zonov.org/${PORTNAME}/
X
XMAINTAINER=	andrey@zonov.org
XCOMMENT=	A self protected daemon which protect processes from killing by the kernel when memory is exhausted
X
XUSE_RC_SUBR=	${PORTNAME}.sh
X
XPLIST_FILES=	sbin/${PORTNAME}
XMAN8=		${PORTNAME}.8
X
Xdo-install:
X	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/sbin
X	${INSTALL_MAN} ${WRKSRC}/${MAN8} ${MANPREFIX}/man/man8
X
X.include <bsd.port.mk>
d0a615773ca564f426b9934b3114dd89
echo x - pprotectd/distinfo
sed 's/^X//' >pprotectd/distinfo << 'a6e0d0f4569ecab43a1fa1ef2cb9998c'
XMD5 (pprotectd-0.1.tar.gz) = 4c0151923ac2c1e4abb3d8e6caaf52e8
XSHA256 (pprotectd-0.1.tar.gz) = d25909d8030f3aca0f8e1d443c601787029773c88fa0209f49c58d7614c1c4a1
XSIZE (pprotectd-0.1.tar.gz) = 4752
a6e0d0f4569ecab43a1fa1ef2cb9998c
echo x - pprotectd/pkg-descr
sed 's/^X//' >pprotectd/pkg-descr << 'f34c8557b144a29416cccb6e3eb36d54'
Xpprotectd this is a self protected daemon which protect processes
Xfrom killing by the kernel when memory is exhausted.
X
XThe P_PROTECTED flag protects processes from killing by the kernel
Xwhen memory is exhausted. This may be useful for protection many
Xcritical daemons, such as cron, syslogd, inetd, sshd or mysqld.
X
XWWW: http://www.zonov.org/
f34c8557b144a29416cccb6e3eb36d54
echo c - pprotectd/files
mkdir -p pprotectd/files > /dev/null 2>&1
echo x - pprotectd/files/pprotectd.sh.in
sed 's/^X//' >pprotectd/files/pprotectd.sh.in << '730170eb743b14ebd6c98df77f046b15'
X#!/bin/sh
X#
X# $FreeBSD$
X#
X# PROVIDE: pprotectd
X# REQUIRE: LOGIN
X# KEYWORD: shutdown
X#
X# Add the following lines to /etc/rc.conf to enable pprotectd:
X#
X# pprotectd_enable (bool):	Set to "NO" by default.
X#				Set it to "YES" to enable pprotectd
X# pprotectd_pidfiles (str):	Set to "/var/run/cron.pid,/var/run/syslog.pid" by default.
X#				Set it to "/var/run/sshd.pid" for example
X# pprotectd_flags (str):	Set to "" by default.
X#				See pprotectd(8) for pprotectd_flags
X#
X
X. /etc/rc.subr
X
Xname="pprotectd"
Xrcvar=`set_rcvar`
X
Xload_rc_config "$name"
X
X: ${pprotectd_enable="NO"}
X: ${pprotectd_pidfiles="/var/run/cron.pid,/var/run/syslog.pid"}
X: ${pprotectd_flags=""}
X
Xcommand="/usr/local/sbin/pprotectd"
Xcommand_args="-F ${pprotectd_pidfiles}"
X
Xrun_rc_command "$1"
730170eb743b14ebd6c98df77f046b15
exit


_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"


----- End forwarded message -----
Comment 6 Tilman Keskinoz freebsd_committer 2011-08-01 19:37:04 UTC
State Changed
From-To: feedback->open

new patch arrived
Comment 7 Pav Lucistnik freebsd_committer 2011-08-08 21:02:39 UTC
State Changed
From-To: open->closed

New port added, thank you!
Comment 8 dfilter service freebsd_committer 2011-08-08 21:07:31 UTC
pav         2011-08-08 20:07:22 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/pprotectd   Makefile distinfo pkg-descr 
    sysutils/pprotectd/files pprotectd.in 
  Log:
  pprotectd this is a self protected daemon which protect processes
  from killing by the kernel when memory is exhausted.
  
  The P_PROTECTED flag protects processes from killing by the kernel
  when memory is exhausted. This may be useful for protection many
  critical daemons, such as cron, syslogd, inetd, sshd or mysqld.
  
  WWW: http://www.zonov.org/
  
  PR:             ports/151774
  Submitted by:   Andrey Zonov <andrey.zonov@gmail.com>
  
  Revision  Changes    Path
  1.1313    +1 -0      ports/sysutils/Makefile
  1.1       +25 -0     ports/sysutils/pprotectd/Makefile (new)
  1.1       +2 -0      ports/sysutils/pprotectd/distinfo (new)
  1.1       +33 -0     ports/sysutils/pprotectd/files/pprotectd.in (new)
  1.1       +8 -0      ports/sysutils/pprotectd/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"